Make Special:Whatlinkshere includable
Closed, ResolvedPublic

Description

Make Special:Whatlinkshere includable.

Maybe add an parameter option to restrict to namespaces, e.g.

{{Special:Whatlinkshere/Foo:Bar|ns=MAIN,PROJECT}} would list all MAIN and PRPJECT pages linking to Foo:Bar.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz35486.
Subfader created this task.Via LegacyMar 26 2012, 1:55 PM
Bawolff added a comment.Via ConduitJul 5 2013, 5:59 PM

{{Special:Whatlinkshere/Foo:Bar|ns=MAIN,PROJECT}} would list all MAIN and
PRPJECT pages linking to Foo:Bar.

Note, the template options syntax is already used for url parameters. So anyone trying to implement this should note that that part is essentially already done.

gerritbot added a comment.Via ConduitJan 7 2014, 7:50 PM

Change 105991 had a related patch set uploaded by AalekhN:
A possible Solution to Bug 35486

https://gerrit.wikimedia.org/r/105991

gerritbot added a comment.Via ConduitJan 9 2014, 9:39 PM

Change 105991 abandoned by AalekhN:
A possible Solution to Bug 35486

https://gerrit.wikimedia.org/r/105991

gerritbot added a comment.Via ConduitJan 12 2014, 8:03 AM

Change 106625 had a related patch set uploaded by MZMcBride:
SpecialWhatlinkshere.php : made Special:Whatlinkshere transclude

https://gerrit.wikimedia.org/r/106625

gerritbot added a comment.Via ConduitMar 21 2014, 2:49 AM

Change 106625 merged by jenkins-bot:
Make Special:Whatlinkshere.php transcludable

https://gerrit.wikimedia.org/r/106625

Scott added a comment.Via ConduitMar 30 2014, 2:08 AM

Question - does this implementation include a namespace parameter as suggested above? If so I can probably close my own bug 62988 as being unnecessary.

Bawolff added a comment.Via ConduitMar 30 2014, 3:00 AM

Yes, like all special pages, any url parameter can be passed like a template parameter. E.g.

{{Special:whatlinkshere/some page|namespace=6}} would show images pages that link to some page.

Scott added a comment.Via ConduitMar 30 2014, 3:10 AM

Great, thanks. In which case I can replace the {{what links here}} template on en.wp with this when it goes live. I'll WONTFIX my bug.

Subfader added a comment.Via ConduitNov 17 2014, 7:22 PM

Great. Works as desired, altho only 1 ns can be selected?

https://www.mediawiki.org/wiki/User:Subfader/Whatlinkshere

hashar added a comment.Via ConduitNov 17 2014, 7:54 PM

(In reply to Subfader from comment #9)

Great. Works as desired, altho only 1 ns can be selected?

https://www.mediawiki.org/wiki/User:Subfader/Whatlinkshere

The 'namespace' parameter must be a single integer just like on the normal page https://www.mediawiki.org/wiki/Special:WhatLinksHere/User:Subfader/Whatlinkshere it shows a single choice select for the namespace.

To add the capability to select several namespaces, you probably want to open an other bug report :]

Subfader added a comment.Via ConduitNov 17 2014, 8:21 PM

Ah right, it's just the SpecialPage functionality.

Thanks, happy for now!

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.